none
Messed up .NET 4.5 on Windows 8 RRS feed

  • Question

  • Okay so all started when I wanted to start the Game Watch Dogs. It gave me an error 0xc000142 which seems to be an .NET related error. I have Windows 8.1 Professional x64. So I tried everything to repair my .NET with the Repair tool and the Cleanup Tool nothing worked. So I figured I'd run an inplace repair from my install disk. This ended in a BlueScreen at the end of the Setup and it reverted to my Old Windows state. Everything worked so far but I noticed my Catalyst Control Center was not opening anymore which also is .NET related. I then installed .NET 4.5.2 and since I did this Catalyst Control Center at least gives me an Error message. This application requires one of the following versions of the .NET Framework:
    .NETFramework, Version=v4.5
    Do you want to install this .NET Framework version now?

    I tried to uninstall 4.5.2 again and reinstall it and I scanned it with netfx setup verifier which gives me the same error from .NET 4.0 upwards.

    I'm pretty desperate since 4.5 should be a part of Windows 8.1 and I have no tools to reinstall or repair it. I also tried sfc /scannow but nothing works. I hope anyone can help me.

    The NETFX Setup Verifier Log shows those Errors:
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\applaunch.exe.config is not installed on the system

    ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\caspol.exe.config is not installed on the system

    ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\dfsvc.exe.config is not installed on the system

    ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\jsc.exe.config is not installed on the system

    ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\regasm.exe.config is not installed on the system

     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\ilasm.exe.config is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallCommon.sql is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallMembership.sql is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallPersistSqlState.sql is not installed on the system
    ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallPersonalization.sql is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallProfile.SQL is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallRoles.sql is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallSqlState.sql is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallSqlStateTemplate.sql is not installed on the system
     ***WARNING*** File C:\Windows\Microsoft.NET\Framework\v4.0.30319\InstallWebEventSqlProvider.sql is not installed on the system






    And so on and so on. There seem to be a lot of files missing but what can I do to restore them? Thanks for any help. I really couldn't find anything remotely close to this elsewhere


    • Edited by suupar Thursday, May 29, 2014 6:58 PM
    Thursday, May 29, 2014 6:58 PM

Answers

All replies

  • Hi suupar,

    >>This application requires one of the following versions of the .NET Framework: .NETFramework, Version=v4.5

    It seems the application need .Net Framework 4.5. And your OS is windows 8.1. It has included .Net Framework 4.5.1. .Net Framework 4.5.1 also includes .Net Framework 4.5.

    You could open .net framework 4.5.1 through the steps.

    "Control Panel"->"Programs"->"Turn Windows features on or off" and open ".NET Framework 4.5 Advanced Services".

    The verification tool from the link below doesn't support .net 4.5.2, only support until .Net 4.5.1.http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx

    Your log only has the warning message, not error message. Please use the verification tool to verify the state of .net framework which you want.

    If anyone has the issue, please upload the complete verification log to https://onedrive.live.com/ and share the link here.

    Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Friday, May 30, 2014 7:55 AM
  • Unfortunately this did not work. The Verification tool sais :
    This application requires one of the following versions of the .NET Framework:
    .NETFramework, 4.0
    Do you want to install this .NET Framework version now?

    the link to the log is:
    https://onedrive.live.com/embed?cid=D58FEF8DD7EC117B&resid=D58FEF8DD7EC117B%21875&authkey=AECSFx2VIPaw99M

    • Edited by suupar Friday, May 30, 2014 11:15 AM
    Friday, May 30, 2014 11:13 AM
  • I managed to fix the problem by doing a System Refresh!
    • Marked as answer by suupar Friday, May 30, 2014 1:38 PM
    Friday, May 30, 2014 1:38 PM